> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get price ticker for currency pair

> Returns the exchange rate for a given currency pair



## OpenAPI

````yaml get /price/ticker
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /price/ticker:
    get:
      tags:
        - Price
      summary: Get price ticker for currency pair
      description: Returns the exchange rate for a given currency pair
      operationId: getPriceTicker
      parameters:
        - name: pair
          in: query
          description: Currency pair to get the exchange rate for
          schema:
            type: string
            enum:
              - usdngn
              - btcusd
              - usdkes
              - usdzar
              - zarngn
              - kesngn
          required: true
          example: usdngn
      responses:
        '200':
          description: Price ticker response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceTicker'
        '400':
          description: Invalid currency pair
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security: []
components:
  schemas:
    PriceTicker:
      type: object
      properties:
        status:
          type: string
          example: ok
        data:
          type: object
          properties:
            ask:
              type: number
              description: Ask price (selling price)
              example: 1475.42
            bid:
              type: number
              description: Bid price (buying price)
              example: 1455.42
            timestamp:
              type: number
              description: Unix timestamp in milliseconds
              example: 1767896752409
            meta:
              type: object
              properties:
                pair:
                  type: string
                  description: Currency pair in uppercase
                  example: USDNGN
                payoutMethods:
                  type: array
                  items:
                    type: string
                  example:
                    - BANKTRANSFER
                collectionMethods:
                  type: array
                  items:
                    type: string
                  example:
                    - LIGHTNING
                unitPricePerUsd:
                  type: object
                  description: Exchange rates per USD
                unitPricePerSat:
                  type: object
                  description: Exchange rates per satoshi
                fees:
                  type: object
                  description: Fee information for ask and bid
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````